import request from '@/utils/request'

// 查询建模步骤
export function listUser(query) {
    return request({
        url: '/model/step/list',
        method: 'get',
        params: query
    })
}
export function getModellist(query) {
    return request({
        url: '/md/app/list',
        method: 'get',
        params: query
    })
}
export function addModeling(data) {
  return request({
    url: "/md/app",
    method: 'post',
    data:data
  });
}
export function delModeling(id) {
  return request({
    url: '/md/app/' + id,
    method: 'delete'
  })
}
export function editModeling(data) {
  return request({
    url: '/md/app',
    method: 'put',
    data: data
  })
}
export function getModelingDe(id) {
  return request({
    url: '/app/flow/list',
    method: 'get',
    params: id
  })
}
export function getModelingFlow(id) {
  return request({
    url: '/app/flow/' + id,
    method: 'get'
  })
}
export function addModelingFlow(data) {
  return request({
    url: "/app/flow",
    method: 'post',
    data:data
  });
}
export function editModelingFlow(data) {
  return request({
    url: '/app/flow',
    method: 'put',
    data: data
  })
}
export function delFlow(id) {
  return request({
    url: '/app/flow/' + id,
    method: 'delete'
  })
}